Browse Source

updated chromium and v8: built chromium 10.0.651.0 with v8 3.0.12; added pack_chromium_source-vine.sh; pack_chromium_source-vine.sh is a script used to create the chromium-<version>.tar.xz archive from a official tarball: http://build.chromium.org/official/chromium-<version>.tar.bz2

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@2595 ec354946-7b23-47d6-9f5a-488ba84defc7
munepi 13 years ago
parent
commit
232b448dfc

+ 14 - 13
c/chromium/chromium-browser-vine.sh

@@ -51,19 +51,19 @@ while [ $# -gt 0 ]; do
   esac
 done
 
-# Set plugin search path. Chromium will read mozilla's plugin 
-# search path. This is for platforms (handset, TV, etc..) where 
-# plugins are not copied/linked to the standard mozilla plugin
-# path due to reasons. PDF plugin is in the list though it is
-# not really supported by chromium on Linux.
-moz_plugin_path=$(find /usr/java/jre* \
-                  /usr/lib/flash-plugin \
-                  /opt/Adobe* /usr/Adobe* \
-                  -name "libnpjp2.so" -exec dirname {} \; -o \
-                  -name "libflashplayer.so" -exec dirname {} \; -o \
-                  -name "nppdf.so" -exec dirname {} \; 2>/dev/null | xargs echo)
-MOZ_PLUGIN_PATH=$MOZ_PLUGIN_PATH:${moz_plugin_path// /:}
-export MOZ_PLUGIN_PATH
+# # Set plugin search path. Chromium will read mozilla's plugin 
+# # search path. This is for platforms (handset, TV, etc..) where 
+# # plugins are not copied/linked to the standard mozilla plugin
+# # path due to reasons. PDF plugin is in the list though it is
+# # not really supported by chromium on Linux.
+# moz_plugin_path=$(find /usr/java/jre* \
+#                   /usr/lib/flash-plugin \
+#                   /opt/Adobe* /usr/Adobe* \
+#                   -name "libnpjp2.so" -exec dirname {} \; -o \
+#                   -name "libflashplayer.so" -exec dirname {} \; -o \
+#                   -name "nppdf.so" -exec dirname {} \; 2>/dev/null | xargs echo)
+# MOZ_PLUGIN_PATH=$MOZ_PLUGIN_PATH:${moz_plugin_path// /:}
+# export MOZ_PLUGIN_PATH
 
 # Setup the default profile if this is none
 # Set the default theme as GTK+ with system window decoration
@@ -126,6 +126,7 @@ if [ $want_debug -eq 1 ] ; then
   $GDB "$LIBDIR/$APPNAME" -x $tmpfile
   exit $?
 else
+#  exec $LIBDIR/$APPNAME "--start-maximized" "--no-first-run" "--enable-experimental-extension-apis" "$@"
   exec $LIBDIR/$APPNAME "--no-first-run" "--enable-experimental-extension-apis" "$@"
 fi
 

+ 46 - 39
c/chromium/chromium-vl.spec

@@ -8,27 +8,32 @@
 %define with_system_icu 1
 %endif
 
-%define svn_rev 70166
-%define v8_ver 3.0.4
+%define v8_ver 3.0.12
 
 Name:           chromium
 Summary:        Google's opens source browser project
 Summary(ja):    Googleのオープンソースウェブブラウザ
 #'
-Version:        10.0.622.0
+Version:        10.0.651.0
 Release:        1%{?_dist_release}
 License:        BSD
 Group:          Applications/Internet
-Source0:        %{name}.%{version}.svn%{svn_rev}.tar.lzma
+#Source0:        %{name}.%{version}.svn%{svn_rev}.tar.lzma
+#Source0:        %{name}-%{version}.svn%{svn_rev}.tar.xz
+Source0:        %{name}-%{version}.tar.xz
 ## The following are included for source reasons only
 # Custom build tools for chromium, hammer is a fancy front-end for scons
 Source1:        http://src.chromium.org/svn/trunk/tools/depot_tools.tar.gz
-# Script used to create the tar.lzma archive from the daily tarball downloadable at http://build.chromium.org/buildbot/archives/
-Source2:        repack_chromium_archive.sh
-# Script used to create the tar.lzma archive from a checked out source
-Source3:        pack_chromium_source.sh
+# # Script used to create the tar.lzma archive from the daily tarball downloadable at http://build.chromium.org/buildbot/archives/
+# Source2:        repack_chromium_archive.sh
+# # Script used to create the tar.lzma archive from a checked out source
+# Source3:        pack_chromium_source.sh
+# Script used to create the %{name}-%{version}.tar.xz archive from 
+# a official tarball: 
+# http://build.chromium.org/official/chromium-10.0.644.0.tar.bz2
+Source3:        pack_chromium_source-vine.sh
 # Official ffmpeg headers
-Source8:        ffmpeg-0.6-headers.tar.bz2
+Source8:        ffmpeg-0.6-headers.tar.xz
 #Source10:       chromium.desktop
 #Source10:       chromium-vine.desktop
 # Patch template which adds vendor to user agent
@@ -39,8 +44,6 @@ Source20:       chromium-vendor-vine.patch.in
 Source30:       master_preferences.vine
 #Source31:       default_bookmarks.html
 #Source31:       default_bookmarks.html.vine
-# icu-4.2.1 contained in chromium.5.0.353.0.svn41449 (for Vine Linux 5.X)
-Source50:      icu-4.2.1-chromium.5.0.353.0.svn41449.tar.bz2
 Source99:       chrome-wrapper
 ##!!Source100:      chromium-browser.sh
 Source100:      chromium-browser-vine.sh
@@ -51,7 +54,6 @@ Source103:      chromium-browser-rpmlintrc
 
 %{?nosrc:NoSource: 0}
 %{?nosrc:NoSource: 1}
-%{?nosrc:NoSource: 50}
 
 Provides:       chromium-browser = %{version}
 ##Provides:	chromium-based-browser = %{version}
@@ -76,17 +78,14 @@ Patch21:        chromium-7.0.542.0-media-probe.patch
 Patch23:        chromium-disable-mmx.patch
 Patch25:        tcmalloc-factory.patch
 Patch26:        chromium-remoting-build-fix.diff
-#Patch27:        chromium-7.0.542.0-system-libjingle.patch
 Patch28:        chromium-7.0.500.0-system-speex.patch
 Patch29:        chromium-7.0.510.0-system-ffmpeg.patch
 Patch30:        chromium-7.0.510.0-fstat.patch
-#Patch31:        chromium-7.0.542.0-system-srtp.patch
 Patch32:        chromium-7.0.542.0-system-libvpx.patch
-#Patch33:        chromium-20090807-gyp-system-minizip.patch
 Patch34:        chromium-7.0.542.0-codechanges-system-minizip-v8.patch
 # Shared Library patches
 Patch60:        chromium-sharedlibfixes.patch
-Patch61:        chromium-shared-chromiumthreading.patch
+#Patch61:        chromium-shared-chromiumthreading.patch
 Patch62:        chromium-norpath.patch
 Patch63:        chromium-6.0.406.0-system-gyp-v8.patch
 # Patches for MeeGo Netbook
@@ -95,6 +94,8 @@ Patch81:        chromium-20100319-default-browser-setting.patch
 Patch82:        chromium-20100506-expose-chromium-browser-api.patch
 Patch83:        chromium-fix-toolbar-icon-size.patch
 
+Patch98:	chromium-gyp-external-icu.patch
+
 # Vine
 
 
@@ -150,6 +151,7 @@ BuildRequires:  gnome-keyring-devel
 %elseif %{?_dist_release} == "vl6"
 BuildRequires:  libgnome-keyring-devel
 %endif
+BuildRequires:  python-devel
 BuildRequires:  glew-devel
 ##!!BuildRequires:  Mesa-devel
 BuildRequires:  mesa-libGLU-devel
@@ -163,6 +165,7 @@ BuildRequires:  speex-devel
 
 ##Vine Linux
 Requires:       v8 = %{v8_ver}
+BuildRequires:  libpaper-devel
 BuildRequires:  libXScrnSaver-devel
 BuildRequires:  libXtst-devel
 BuildRequires:  libXdamage-devel
@@ -191,11 +194,12 @@ web applications.
 
 %description -l ja
 Chromium は Google Chrome の後方にあるオープンソースプロジェクトです。
-私たちは、ウェブを体験しているすべてのインターネットユーザに対して
-より安全で、より速くて、より安定した方法を築き上げるのを助けるために、
-そして、ウェブアプリケーションの新しい世代を発展させるように
+ウェブを体験しているすべてのインターネットユーザに対して
+より安全で、より速くて、より安定した方法を築き上げるのを補助するでしょう。
+そして、ウェブアプリケーションの新しい世代を発展させ
 強力なプラットホームを作成するために、
-私たちの取り組みで私たちに加わるようにあなたを誘います。
+私たちの取り組みにぜひ参加してください。
+
 
 %package devel
 Summary:        Header file for chromium browser
@@ -208,25 +212,14 @@ applications which will use chromium browser APIs.
 
 
 %prep
-[ -d %{name} ] && %__rm -rf %{name}
-lzma -cd %{SOURCE0} | tar xf -
-%setup -D -T -n %{name}
-
-# use static libicu
-%if %{?_dist_release} == "vl5"
-cd src/third_party || exit 1
-    %__rm -rf icu || exit 1
-    tar jxvf %{SOURCE50} || exit 1
-    %__mv icu-4.2.1-chromium.5.0.353.0.svn41449 icu || exit 1
-cd - || exit 1
-%endif
+%setup -q
 
-%patch60 -p1
-%patch61 -p1
+#%patch60 -p1
+#%patch61 -p1
 %patch62 -p1
 %patch63 -p1
 %patch80 -p1
-%patch81 -p1
+#%patch81 -p1
 %patch82 -p1
 %patch83 -p1
 
@@ -250,17 +243,23 @@ cd - || exit 1
 %patch23 -p1
 %endif
 %patch26 -p1
-#%patch27 -p1
 %patch28 -p1
 %patch29 -p1
 %patch30 -p1
-#%patch31 -p1
 %patch32 -p1
-#%patch33 -p1 
 %patch34 -p1
 
 pushd src/third_party/ffmpeg/
-tar xf %{SOURCE8}
+%__tar Jxf %{SOURCE8} || exit 1
+## built header file: avconfig.h
+[ -f ffmpeg-0.6-headers/libavutil/avconfig.h ] && exit 1
+cat > ffmpeg-0.6-headers/libavutil/avconfig.h <<EOF
+/* Generated by ffconf */
+#ifndef AVUTIL_AVCONFIG_H
+#define AVUTIL_AVCONFIG_H
+#define AV_HAVE_BIGENDIAN 0
+#endif /* AVUTIL_AVCONFIG_H */
+EOF
 popd
 
 %__rm -rf src/third_party/libvpx/ src/third_party/speex/
@@ -453,6 +452,14 @@ popd
 %{_libdir}/pkgconfig/chromium-browser.pc
 
 %changelog
+* Sat Jan 29 2011 Munehiro Yamamoto <munepi@vinelinux.org> 10.0.651.0-1
+- updated to 10.0.651.0 with v8 3.0.12
+- added BuildRequires: 
+  - libpaper-devel
+  - python-devel
+- added built header file: libavutil/avconfig.h %%prep
+- unexport MOZ_PLUGIN_PATH in chromium-browser-vine.sh
+
 * Sun Dec 26 2010 Munehiro Yamamoto <munepi@vinelinux.org> 10.0.622.0-1
 - updated to 10.0.622.0
 - added BuildRequires: libXt-devel

+ 138 - 0
c/chromium/pack_chromium_source-vine.sh

@@ -0,0 +1,138 @@
+#!/bin/bash
+#
+# forgive me for the state of this script
+
+set -e
+
+tmp=$(mktemp -d)
+pwd=$(pwd)
+
+trap cleanup EXIT
+cleanup() {
+    set +e
+    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
+}
+
+chromium_svn_dir=$1
+chromium_tgt_dir=${tmp}/${chromium_svn_dir}
+
+[ ! -d $chromium_svn_dir ] && \
+    echo "No such directories: $chromium_svn_dir" && \
+    [ -f ${chromium_svn_dir}.tar.bz2 ] && \
+    echo "But, found $chromium_svn_dir.tar.bz2" && \
+    echo "Decompressing $chromium_svn_dir.tar.bz2" && \
+    tar jxf ${chromium_svn_dir}.tar.bz2
+
+mkdir -p ${chromium_tgt_dir}
+
+name=chromium
+#version="`cat $chromium_svn_dir/src/chrome/VERSION | cut -f2 -d= |while read i; do echo -n $i\. ; done`"
+version="`cat $chromium_svn_dir/chrome/VERSION | cut -f2 -d= |while read i; do echo -n $i\. ; done`" && version=$(echo $version | sed s/\.$//)
+#revision="svn`cat $chromium_svn_dir/src/.svn/entries | grep -m1 -A1 'dir' | tr '\n\r' '-' | cut -f2 -d-`"
+
+echo "Version: $version"
+#echo "Revision: $revision"
+
+xz="`which xz 2>/dev/null`"
+lzma="`which lzma 2>/dev/null`"
+
+
+if [ -z $chromium_svn_dir ]
+then
+	echo "Usage:  `basename $0` [SVN_SOURCE_DIR]"
+	exit 1
+fi
+
+if [ -f $xz ]
+then
+	compress=$xz
+	#compress_opts='-9 -F lzma' #xz compresses MUCH faster, so why not make it compress more?  We have the RAM...
+	compress_opts='-9'
+	echo "using xz"
+else
+    exit 1
+	compress=$lzma
+	compress_opts="-7"
+	echo "using lzma"
+fi
+
+echo
+echo "Moving source in staging area"
+#cp -R $chromium_svn_dir $chromium_tgt_dir
+cp -ra $chromium_svn_dir ${chromium_tgt_dir}/src
+
+# remove big bad ffmpeg binaries.
+echo "Removing ffmpeg binaries/sources"
+cd $chromium_tgt_dir/src/third_party/ffmpeg/
+rm -rf binaries/
+rm -rf config
+rm -rf patched-ffmpeg-mt/*.c patched-ffmpeg-mt/*.h patched-ffmpeg-mt/doc patched-ffmpeg-mt/ffpresets patched-ffmpeg-mt/mt-work 
+rm -rf patched-ffmpeg-mt/libavformat/*.c patched-ffmpeg-mt/libavcodec/*.c patched-ffmpeg-mt/tools patched-ffmpeg-mt/tests
+rm -rf patched-ffmpeg-mt/libavutil/*.c patched-ffmpeg-mt/libavfilter/*.c patched-ffmpeg-mt/libavdevice/*.c patched-ffmpeg-mt/libpostproc/*.c patched-ffmpeg-mt/libswscale/*.c
+echo "Removing courgette sources"
+cd $chromium_tgt_dir/src/
+rm -rf courgette/
+echo "Removing o3d plugin sources (Not yet buildable)"
+cd $chromium_tgt_dir/src/
+rm -rf o3d/
+echo "Removing unnecessary sources"
+rm -rf third_party/WebKit/WebKitTools/Scripts/webkitpy/layout_tests/
+rm -rf webkit/data/layout_tests/
+rm -rf third_party/hunspell/dictionaries/
+rm -rf src/third_party/WebKit/LayoutTests/
+rm -rf chrome/test/data/
+rm -rf third_party/icu/icudt42.dll  
+rm -rf third_party/icu/linux/  
+rm -rf third_party/icu/mac/  
+rm -rf third_party/icu/source/  
+rm -rf native_client/tests/
+rm -rf third_party/libvpx/ third_party/speex/
+# Remove other directories (untested)
+cd $chromium_tgt_dir/src/third_party
+# First, just take out the sources for the items which have already been conditionalized so we're sure we're not using them.
+# We need to leave the .gyp files since this is how it finds the system libs.
+# bzip2
+rm -rf bzip2/*.c bzip2/*.h bzip2/LICENSE
+
+# libjpeg
+rm -rf libjpeg/*.c libjpeg/README*
+
+# libpng
+rm -rf libpng/*.c libpng/*.h libpng/README* libpng/LICENSE
+
+# libevent 
+rm -rf libevent/*.c libevent/*.h libevent/*sh libevent/config* libevent/*.3 libevent/README libevent/compat libevent/linux libevent/mac libevent/sample libevent/test libevent/ChangeLog libevent/Makefile.* libevent/aclocal.m4 libevent/*.py libevent/mising libevent/mkinstalldirs
+
+# libxml
+rm -rf libxml/*c libxml/*.h libxml/*.in libxml/*sh libxml/*.m4 libxml/*.py libxml/*.xml libxml/missing libxml/mkinstalldirs libxml/*.1 libxml/build libxml/include libxml/linux libxml/mac libxml/win32 libxml/AUTHORS libxml/COPYING libxml/ChangeLog libxml/Copyright libxml/INSTALL libxml/NEWS libxml/README libxml/README.tests libxml/TODO* libxml/config* libxml/*.pl
+
+# libxslt
+rm -rf libxslt/build libxslt/libexslt libxslt/libxslt libxslt/linux libxslt/mac libxslt/win32 libxslt/AUTHORS libxslt/COPYING libxslt/ChangeLog libxslt/FEATURES libxslt/INSTALL libxslt/NEWS libxslt/README libxslt/TODO libxslt/*.h libxslt/*.m4 libxslt/compile libxslt/config* libxslt/depcomp libxslt/*sh libxslt/*.in libxslt/*.spec libxslt/missing
+
+# Next, nuke the whole directories for things not yet conditionalized:
+rm -rf nss/ nspr/ 
+
+# expat is only built on windows
+rm -rf expat/files
+
+# Another copy of zlib? Unpossible!
+rm -rf src/third_party/WebKit/WebCore/platform/image-decoders/zlib/
+
+#Remove v8 as that we build against the system one
+rm -rf src/v8/include src/v8/src/
+
+
+echo 
+echo "Recompressing and excluding svn data"
+echo "  this takes a while, sorry"
+echo "  Compressing with $compress"
+
+cd $chromium_tgt_dir/
+cd ..
+
+#tar --exclude=\.svn -cf - $name/ | $compress ${compress_opts} > "chromium"."$version""$revision".tar.lzma
+tar --exclude=\.svn -cf - ${name}-${version} | $compress ${compress_opts} > ${pwd}/${name}-${version}.tar.xz
+
+#rm -rf $chromium_tgt_dir
+
+exit

+ 1 - 1
v/v8/v8-snapshot.sh

@@ -17,7 +17,7 @@ dirname=v8
 
 cd "$tmp"
 #svn checkout http://v8.googlecode.com/svn/trunk $dirname
-svn checkout -r 5932 http://v8.googlecode.com/svn/trunk $dirname
+svn checkout -r 6522 http://v8.googlecode.com/svn/trunk $dirname
 cd $dirname
 MAJOR_VERSION=$(grep "#define MAJOR_VERSION" src/version.cc | sed -e "s/#define MAJOR_VERSION[[:blank:]]*//" -e "s/[[:blank:]]*$//")
 MINOR_VERSION=$(grep "#define MINOR_VERSION" src/version.cc | sed -e "s/#define MINOR_VERSION[[:blank:]]*//" -e "s/[[:blank:]]*$//")

+ 8 - 2
v/v8/v8-vl.spec

@@ -2,10 +2,10 @@
 
 %global somajor 3
 %global sominor 0
-%global sobuild 4
+%global sobuild 12
 %global sover %{somajor}.%{sominor}.%{sobuild}
 
-%define svnrevision 6102
+%define svnrevision 6522
 
 Name:		v8
 Version:	%{sover}
@@ -150,6 +150,12 @@ cd %{buildroot}%{_libdir}
 
 
 %changelog
+* Sat Jan 29 2011 Munehiro Yamamoto <munepi@vinelinux.org> - 3.0.12-1.svn6522
+- source 3.0.12 rev.6387
+
+* Sat Jan 22 2011 Munehiro Yamamoto <munepi@vinelinux.org> - 3.0.9-1.svn6387
+- source 3.0.9 rev.6387
+
 * Thu Dec 23 2010 Munehiro Yamamoto <munepi@vinelinux.org> - 3.0.4-1.svn6102
 - source 3.0.4 rev.6102